| Home · All Classes · All Namespaces · Modules · Functions · Files

# HandlerCapabilities Struct Reference
[Structure types]

`#include <TelepathyQt4/Types>`

List of all members.

## Public Attributes

- QString wellKnownName
- StringVariantMapList channelClasses
- QStringList capabilities

## Detailed Description

Structure type generated from the specification.

A structure representing the capabilities of a single client.

## Member Data Documentation

QString wellKnownName

For implementations of the Client interface, the well-known bus name name of the client; for any other process, any other reversed domain name that uniquely identifies it.

StringVariantMapList channelClasses

An array of channel classes that can be handled by this client. This will usually be a copy of the client's <tp:dbus-ref namespace="org.freedesktop.Telepathy.Client.Handler">HandlerChannelFilter</tp:dbus-ref> property.

QStringList capabilities

An array of client capabilities supported by this client, to be used by the connection manager to determine what capabilities to advertise. This will usually be a copy of the client's <tp:dbus-ref namespace="org.freedesktop.Telepathy.Client.Handler">Capabilities</tp:dbus-ref> property.